Zum Inhalt

Get inboundSalesOrderLines

Retrieve the properties and relationships of a inbound sales order line object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/inboundSalesOrderLinesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a inboundSalesOrderLines object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/inboundSalesOrderLinesWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "676272f8-3d46-ee11-a0d4-82ee28b7ef37",
    "documentId": "666272f8-3d46-ee11-a0d4-82ee28b7ef37",
    "sequence": 10000,
    "externalLineId" : "80017861236653",
    "itemId": "c8463045-dcd8-ed11-a7cd-000d3a392f9f",
    "itemNumber": "1920-S",
    "accountId": "00000000-0000-0000-0000-000000000000",
    "resourceId": "00000000-0000-0000-0000-000000000000",
    "lineType": "Item",
    "description": "ANTWERP Konferenztisch",
    "description2": "groß",
    "unitOfMeasureId": "ec562a39-dcd8-ed11-a7cd-000d3a392f9f",
    "unitOfMeasureCode": "STÜCK",
    "quantity": 1,
    "unitPrice": 651.1,
    "discountAmount": 11.1,
    "discountPercent": 0,
    "taxPercent": 0,
    "netAmount": 0,
    "netAmountIncludingTax": 0,
    "itemVariantId": "00000000-0000-0000-0000-000000000000",
    "itemVariantCode": "",
    "locationCode": "BLAU",
    "locationId": "12572a39-dcd8-ed11-a7cd-000d3a392f9f"
}

See also

Tips for working with the APIs
Inbound Sales Order Lines